version: '3.8'

services:
  Entities-Lib:  # 公共库独立服务
    build:
      context: .
      dockerfile: Entities/Dockerfile
    image: entitieslib:latest

  Email-Lib:  # 公共库独立服务
    build:
      context: .
      dockerfile: EmailLib/Dockerfile
    image: emaillib:latest

  web-api:     # Web API 服务
    # build:
    #   context: .
    #   dockerfile: TechHelper.Server/Dockerfile
    
    image: techhelperserver:latest
    depends_on:
      - Entities-Lib
      - Email-Lib
    ports:
      - "8084:80"

  wasm-client:  # WASM 客户端
    build:
      context: .
      dockerfile: TechHelper.Client/Dockerfile
    depends_on:
      - web-api
      - Entities-Lib
      - Email-Lib
    ports:
      - "3000:80"
      